//
//  SASwitchBar.h
//  MIG
//
//  Created by 余西安 on 14/12/13.
//  Copyright (c) 2014年 Sian. All rights reserved.
//

#import <UIKit/UIKit.h>
@class SASwitchBar;

@protocol SASwitchBarDelegate <NSObject>

- (void)switchBar:(SASwitchBar *)switchBar seletedIndex:(NSInteger)index;

@end

@interface SASwitchBar : UIView

@property (nonatomic, weak)     id<SASwitchBarDelegate>     delegate;

@property (nonatomic, strong)   UIColor                     *selColor;

@property (nonatomic, strong)   NSArray                     *items;

@property (nonatomic, assign)   NSInteger                   selectedIndex;

- (instancetype)initWithItems:(NSArray *)items;

@end
